Bug 727942 - rake db:seed occasionally fails to populate users table.
Summary: rake db:seed occasionally fails to populate users table.
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Katello
Classification: Retired
Component: Client
Version: 1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Bryan Kearney
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-03 18:07 UTC by Corey Welton
Modified: 2011-11-10 10:01 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-10 10:01:51 UTC


Attachments (Terms of Use)

Description Corey Welton 2011-08-03 18:07:56 UTC
Description of problem:
I haven't got a real repro case for this; I've just run into this at least once, and it seems Lukas has as well.  When running 'rake db:seed', the user table, on occasion, fails to populate. Everything else (?) seems to land, but logins to the web frontend fail. Upon closer examination in postgresql itself, the users table has no records.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Begin installing a new instance of katello, following the steps found at 'https://fedorahosted.org/katello/wiki/Install'; be sure to follow the steps for a postgresql install. Note the option to run 'rake db:seed'; do this (since clear-all.sh is not shipped in an rpm)
2.  Complete install process; attempt to login.
3.  Noting failure to login, select * from users in the katello db within postgresql
  
Actual results:
No records in the users table

id | username | password | helptips_enabled | created_at | updated_at | own_role_id | page_size | disabled                                     
----+----------+----------+------------------+------------+------------+-------------+-----------+----------                                                
(0 rows)    

Expected results:
Populated table

Additional info:

Comment 1 Lukas Zapletal 2011-08-15 11:27:46 UTC
Corey: can you paste the rake db:seed output?

ps - please note the only supported way to initialize db is now

# service katello initdb

In this case paste us /var/log/katello/initdb.log.

Comment 2 Lukas Zapletal 2011-11-10 10:01:51 UTC
Closing as we have an installer now. Feel free to reopen, but please provide me all the log files. Thanks.


Note You need to log in before you can comment on or make changes to this bug.